package clarion.system;

/** This class is to load all of the classes expected to be used.
 *  @author Xi Zhang */
public class ClarionClassLoader extends ClassLoader {

   /** This method overrides the method defined in <tt>ClassLoader</tt> */
   public Class findClass( String name )
   {

       Class cls = findLoadedClass( name );
       try{
           if( cls == null ){
               cls = super.loadClass( name );
           }
           
           System.out.println( name + " loaded" );
       }
       catch( Exception e ){
       }
       return cls;
   }
}
